Subject: [Mgs] Torn gator

From: "Andrew B. Lundgren" <[email-masked]>
Date: Mon, 03 Sep 2012 10:41:23 -0600

I haven't done anything with the rack and pinion on my car.  I found 
that one of the gators has torn open.  (old and rotten)   I don't know 
much about these so I started looking in my manual and online and found 
the entire replacement racks.

At 40 years on the car, is this something I should consider rather than 
just replacing the gators?  I don't put a lot of miles on the car, the 
odometer shows about 75k on it and that is probably correct within 10k 
miles.

Thanks!

--
Andrew
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]